## net.i2p.router.peermanager
Class PersistProfilesJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.peermanager.PersistProfilesJob

All Implemented Interfaces:
  Job

     class PersistProfilesJob

extends JobImpl

Constructor Summary
`PersistProfilesJob(RouterContext ctx, PeerManager mgr)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`(package private) void` `persist(Hash peer)`
`(package private) void` `requeue()`
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistProfilesJob

    public PersistProfilesJob(RouterContext ctx,
                              PeerManager mgr)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### persist

    void persist(Hash peer)

### requeue

    void requeue()